# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAboutContainer Class Reference

KAboutContainer can be used to make a application specific AboutDialog. More...

`#include <kaboutdialog.h>`

Inheritance diagram for KAboutContainer:

[legend]
Collaboration diagram for KAboutContainer:

[legend]
List of all members.

## Signals

void | urlClick (const QString &url)
void | mailClick (const QString &name, const QString &address)

## Public Member Functions

| KAboutContainer (QWidget *parent=0, const char *name=0, int margin=0, int spacing=0, int childAlignment=AlignCenter, int innerAlignment=AlignCenter)
void | addWidget (QWidget *widget)
void | addPerson (const QString &name, const QString &email, const QString &url, const QString &task, bool showHeader=false, bool showframe=false, bool showBold=false)
void | addTitle (const QString &title, int alignment=AlignLeft, bool showframe=false, bool showBold=false)
void | addImage (const QString &fileName, int alignment=AlignLeft)
virtual QSize | sizeHint (void) const
virtual QSize | minimumSizeHint (void) const

## Protected Member Functions

virtual void | childEvent (QChildEvent *e)

## Detailed Description

KAboutContainer can be used to make a application specific AboutDialog.

Definition at line 50 of file kaboutdialog.h.

The documentation for this class was generated from the following files:

- kaboutdialog.h
- kaboutdialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:28 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003